[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TControlScrollBar.Assign

If Source is a TControlScrollBar, copies properties to itself, else performs inherited Assign.

## Declaration

Source position: forms.pp line 146

`public procedure TControlScrollBar.Assign(`
`Source: TPersistent`
`); override;`

## Arguments

`Source` |  | TControlScrollBar instance with the values copied in the method.

## Description

Assigns the contents of the source object to the current object; in particular finds the Increment, Position, Range and whether smooth scrolling is to be feature and whether the scroll bar is visible.

## See also

TControlScrollBar.Increment |  | Number of pixels the display area is scrolled for scroll bar or mouse wheel movements.
TControlScrollBar.Position |  | Position of the scroll bar slider in the range 0..Range-Page.
TControlScrollBar.Range |  | The size of the logical display area on the associated control for the scroll bar orientation.
TPersistent.Assign